Create Azure Data Lake Instance Group
This API creates an Azure Data Lake Instance Group.
- application/json
Request Body
- CreateAzureInstanceGroupSaas
- CreateAzureInstanceGroupCustomerManaged
- cloudAccountId int32 required
Id of the cloud account that will host the instance group
plan object required
id int32name stringregion object required
id int32name stringcontents object
contents object[]
matchCriteria stringDefault - 'ALL', Supported values - ['ALL', 'ANY']
rules object[]
item stringSupported values: ['ALL_STORAGE_ACCOUNTS', 'STORAGE_ACCOUNT', 'RESOURCE_GROUP', 'TAG_NAME', 'TAG_VALUE', 'REGION']
condition stringSupported values: ['EQUALS', 'DOES_NOT_EQUAL', 'STARTS_WITH', 'ENDS_WITH', 'CONTAINS', 'DOES_NOT_CONTAIN']
value stringValue of the entity
- cloudAccountId int32 required
Id of the cloud account that will host the instance group
plan object required
id int32name stringaccessNodes object[] required
id int32Id of ObjectStorage access node. This could be a Client id or Client Group id.
name stringName of ObjectStorage access node. This could be a Client name or Client Group name.
type stringPossible values - 'client' for Access nodes and 'clientGroup' for Access node group. If not passed, it is defaulted to 'client'.
contents object
contents object[]
matchCriteria stringDefault - 'ALL', Supported values - ['ALL', 'ANY']
rules object[]
item stringSupported values: ['ALL_STORAGE_ACCOUNTS', 'STORAGE_ACCOUNT', 'RESOURCE_GROUP', 'TAG_NAME', 'TAG_VALUE', 'REGION']
condition stringSupported values: ['EQUALS', 'DOES_NOT_EQUAL', 'STARTS_WITH', 'ENDS_WITH', 'CONTAINS', 'DOES_NOT_CONTAIN']
value stringValue of the entity
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
- id int32
- name string
{
"id": 0,
"name": "string"
}